import { UserPreferencesActionTypes, UpdateUserPreferences } from './actions';
import { INITIAL_PREFERENCES_STATE } from './state';
import { UserPreferences } from './models/user-preferences';

export function preferencesReducer(
  state = INITIAL_PREFERENCES_STATE,
  action: UpdateUserPreferences,
): UserPreferences {
  switch (action.type) {
    case UserPreferencesActionTypes.UpdateUserPreferences: {
      const update: UserPreferences = { ...state };

      // Remove properties who's value is undefined
      Object.entries(action.payload).forEach(([key, value]) => {
        if (value === undefined && update[key] !== undefined) {
          delete update[key];
        } else {
          update[key] = value;
        }
      });

      return update;
    }
    default:
      return state;
  }
}
