import { NgModule, CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { DARSViewComponent } from './dars-view/dars-view.component';
import { EffectsModule } from '@ngrx/effects';
import { SharedModule } from '@app/shared/shared.module';
import { DARSEffects } from './store/effects';
import { DarsAuditComponent } from './audit/audit.component';
import { DarsMetadataTableComponent } from './metadata-table/metadata-table.component';
import { NewAuditOptionsComponent } from './dars-view/new-audit-options/new-audit-options.component';
import { MatStepperModule } from '@angular/material';

@NgModule({
  imports: [
    EffectsModule.forFeature([DARSEffects]),
    SharedModule,
    MatStepperModule,
  ],
  exports: [MatStepperModule],
  declarations: [
    NewAuditOptionsComponent,
    DARSViewComponent,
    DarsAuditComponent,
    DarsMetadataTableComponent,
  ],
  entryComponents: [NewAuditOptionsComponent],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
})
export class DARSModule {}
